Skip to end of metadata
Go to start of metadata

After Groovy 1.7.3 on Monday, this is time to release Groovy 1.6.9 as well.

Groovy 1.6.9 will be the last version of the Groovy 1.6.x branch, and we'll now focus on the 1.7.x and Trunk branches from now on.

The key highlight of this release is the JDK 1.4 support, as Groovy 1.6.8 had issues running on JDK 1.4. Fortunately, this is fixed now, and 1.6.9 is the last version of Groovy running on that old JDK.

I advise all those still on 1.6.x and JDK 1.4 to upgrade rapidly to a newer JDK, as even JDK 5 has been end-of-lifed recently.

You can download Groovy 1.6.9 at the usual place: http://groovy.codehaus.org/Download

And find the JIRA release notes here: http://jira.codehaus.org/secure/ReleaseNote.jspa?projectId=10242&version=16236

Thanks a lot for your attention, and have fun with Groovy!

Particular thanks to Paul and Roshan for resolving the issues surrounding the JDK 1.4 "retrotranslation" issues we've had.

  • No labels